plans:
- adjust:
  - enabled: false
    when: revdeps == yes
  cleanup:
    enabled: true
    phases:
    - how: tmt
      name: default-0
      order: 50
  discover:
    enabled: true
    phases:
    - dist-git-download-only: false
      dist-git-init: false
      dist-git-install-builddeps: false
      dist-git-merge: false
      dist-git-remove-fmf-root: false
      dist-git-source: false
      filter:
      - tag:local & tag:rootless
      fmf-id: false
      how: fmf
      modified-only: false
      name: default-0
      order: 50
      prune: false
      sync-repo: false
      url-content-type: git
    tests:
    - adjust:
      - environment+:
          ROOTLESS_USER: ec2-user
        when: distro == centos-stream
      - environment+:
          ROOTLESS_USER: cloud-user
        when: distro == rhel
      - environment+:
          RELEASE_TESTING: true
        when: initiator != "packit"
      discover-phase: default-0
      duration: 30m
      enabled: true
      environment:
        PODMAN: /usr/bin/podman
        QUADLET: /usr/libexec/podman/quadlet
        RELEASE_TESTING: 'True'
        ROOTLESS_USER: fedora
      framework: shell
      manual: false
      name: /test/tmt/system/local-rootless
      order: 50
      path: /default-0/tests/test/tmt
      require:
      - podman-tests
      - psmisc
      restart-max-count: 1
      restart-with-reboot: false
      result: respect
      serial-number: 1
      summary: rootless test
      tag:
      - local
      - rootless
      test: bash ./system.sh rootless
      tty: false
  enabled: true
  execute:
    enabled: true
    phases:
    - duration: 1h
      exit-first: false
      how: tmt
      ignore-duration: false
      interactive: false
      name: default-0
      no-progress-bar: false
      order: 50
      restraint-compatible: false
    results-path: plans/system/local-rootless/execute/results.yaml
  finish:
    enabled: true
    phases:
    - how: shell
      name: default-0
      order: 50
      script:
      - "# Archive logs to TMT_PLAN_DATA for post-test analysis\nmkdir -p \"/var/ARTIFACTS/work-local-rootlessa_2kq5lh/plans/system/local-rootless/data/logs\"\n\n#
        Copy audit logs (SELinux denials, audit events)\nif [ -f /var/log/audit/audit.log
        ]; then\n    cp /var/log/audit/audit.log \"/var/ARTIFACTS/work-local-rootlessa_2kq5lh/plans/system/local-rootless/data/logs/\"\n
        \   echo \"Audit logs copied to /var/ARTIFACTS/work-local-rootlessa_2kq5lh/plans/system/local-rootless/data/logs/audit.log\"\nelse\n
        \   echo \"No audit log found at /var/log/audit/audit.log\"\nfi\n\n# Capture
        full journal (current boot only)\njournalctl -b --no-pager --all --output=short-precise
        &> \"/var/ARTIFACTS/work-local-rootlessa_2kq5lh/plans/system/local-rootless/data/logs/journal.log\"\necho
        \"Journal output saved to /var/ARTIFACTS/work-local-rootlessa_2kq5lh/plans/system/local-rootless/data/logs/journal.log\"\n\necho
        \"All logs archived to /var/ARTIFACTS/work-local-rootlessa_2kq5lh/plans/system/local-rootless/data/logs/\"\n"
  name: /plans/system/local-rootless
  order: 50
  prepare:
    enabled: true
    phases:
    - how: shell
      name: default-0
      order: 5
      script:
      - modprobe null_blk nr_devices=1
    - how: shell
      name: default-1
      order: 10
      script:
      - 'dnf -y install https://dl.fedoraproject.org/pub/epel/epel-release-latest-$(rpm
        --eval ''%{?rhel}'').noarch.rpm

        dnf -y config-manager --set-enabled epel

        '
      when:
      - distro == centos-stream or distro == rhel
    - how: shell
      name: default-2
      order: 20
      script:
      - bash /var/ARTIFACTS/work-local-rootlessa_2kq5lh/plans/system/local-rootless/tree/contrib/packit-tmt/update-deps.sh
      when:
      - initiator == packit
  provision:
    enabled: true
    phases:
    - become: false
      guest: 18.222.124.208
      hard-reboot: /opt/artemis-cli/bin/artemis-cli guest reboot 9f61a515-cd6f-4359-93cf-706b3eac0d69
      hardware:
        cpu:
          cores: '>= 4'
          threads: '>=8'
        disk:
        - size: '>= 512 GB'
        memory: '>= 16 GB'
      how: connect
      key:
      - /etc/citool.d/id_rsa_artemis
      name: default-0
      order: 50
      port: 22
      user: root
  report:
    enabled: true
    phases:
    - display-guest: auto
      how: display
      name: default-0
      order: 50
  summary: Local rootless tests
run:
  context:
    arch:
    - x86_64
    distro:
    - fedora-rawhide
    initiator:
    - packit
    trigger:
    - commit
  environment:
    PACKIT_BUILD_LOG_URL: https://download.copr.fedorainfracloud.org/results/packit/containers-podman-28478/fedora-rawhide-x86_64/10479142-podman/builder-live.log
    PACKIT_COMMIT_SHA: 860549b47ce566fb9519b915a1499f9feac4108b
    PACKIT_COPR_BUILD_ID: '10479142'
    PACKIT_COPR_PROJECT: packit/containers-podman-28478
    PACKIT_COPR_RPMS: podman-5:6.0.0~dev-1.20260519133904119158.pr28478.2964.860549b47c.fc45.x86_64
      podman-tests-debuginfo-5:6.0.0~dev-1.20260519133904119158.pr28478.2964.860549b47c.fc45.x86_64
      podman-remote-5:6.0.0~dev-1.20260519133904119158.pr28478.2964.860549b47c.fc45.x86_64
      podman-debuginfo-5:6.0.0~dev-1.20260519133904119158.pr28478.2964.860549b47c.fc45.x86_64
      podman-debugsource-5:6.0.0~dev-1.20260519133904119158.pr28478.2964.860549b47c.fc45.x86_64
      podman-machine-5:6.0.0~dev-1.20260519133904119158.pr28478.2964.860549b47c.fc45.x86_64
      podman-tests-5:6.0.0~dev-1.20260519133904119158.pr28478.2964.860549b47c.fc45.x86_64
      podman-remote-debuginfo-5:6.0.0~dev-1.20260519133904119158.pr28478.2964.860549b47c.fc45.x86_64
      podmansh-5:6.0.0~dev-1.20260519133904119158.pr28478.2964.860549b47c.fc45.x86_64
      podman-docker-5:6.0.0~dev-1.20260519133904119158.pr28478.2964.860549b47c.fc45.noarch
    PACKIT_DOWNSTREAM_NAME: podman
    PACKIT_DOWNSTREAM_URL: https://src.fedoraproject.org/rpms/podman.git
    PACKIT_FULL_REPO_NAME: containers/podman
    PACKIT_PACKAGE_NAME: podman
    PACKIT_PACKAGE_NVR: podman-6.0.0~dev-1.20260519133904119158.pr28478.2964.860549b47c.fc45
    PACKIT_PR_ID: '28478'
    PACKIT_SOURCE_BRANCH: pesto-support
    PACKIT_SOURCE_SHA: 860549b47ce566fb9519b915a1499f9feac4108b
    PACKIT_SOURCE_URL: https://github.com/Honny1/podman
    PACKIT_SRPM_URL: https://download.copr.fedorainfracloud.org/results/packit/containers-podman-28478/srpm-builds/10479142/podman-6.0.0~dev-1.20260519133904119158.pr28478.2964.860549b47c.src.rpm
    PACKIT_TARGET_BRANCH: main
    PACKIT_TARGET_SHA: 866bde6658160b57489f48978a6172142966f641
    PACKIT_TARGET_URL: https://github.com/containers/podman
    PACKIT_UPSTREAM_NAME: podman
    TESTING_FARM_GIT_REF: 860549b47ce566fb9519b915a1499f9feac4108b
    TESTING_FARM_GIT_URL: https://github.com/Honny1/podman
    TESTING_FARM_REQUEST_ID: 2e1dcd26-d5e6-484d-854a-233494c648e2
    TESTING_FARM_TEST_TYPE: fmf
  remove: false
  root: /var/ARTIFACTS/git-860549b47ce566fb9519b915a1499f9feac4108b14063a6z
